# Port

Selects the TCP port on which to listen.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  Port

Scope:

  input

Type:

  string

Default:

  input=none

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Select a port to listen on. It is an error to specify both `path` and `port`.

## Input usage

    input(type="imptcp" port="...")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs.

- $InputPTCPServerRun — maps to Port (status: legacy)

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.